/*===============================================================================
 $Id: structure.h,v 1.2 2005/04/15 12:20:29 jkleinj Exp $
 structure.h : Routines for structure operations
 Copyright (C) 2004 Jens Kleinjung
 see README file for Syntax, Copyright and License
================================================================================*/

#ifndef STRUCTURE_H
#define STRUCTURE_H

float struc_score(int pep, float rmsd, float stscf);
void read_pdb(FILE *pdbfile, Str *str);
void read_all_pdb(FILE *pdbfile, Str *str);
void write_pdb(FILE *pdboutfile, Str *pdb0, Str *pdb1, Ali *ali, int allatom);
void def_points(int first0, int first1, unsigned int size, gsl_matrix *X, gsl_matrix *Y, Str *pdb0, Str *pdb1);
void def_ali_points(Ali *ali, unsigned int size, gsl_matrix *X, gsl_matrix *Y, Str *pdb0, Str *pdb1);
float transform_coordinates(int first0, int first1, int pep, gsl_matrix *U, gsl_vector *t, Str *pdb0, Str *pdb1);
float transform_ali_coordinates(Ali *ali, gsl_matrix *U, gsl_vector *t, Str *pdb0, Str *pdb1, int allatom);
char aacode(char *code3);
void assign_seq(Ali *ali, Str *pdb0, Str *pdb1);

#endif
